#!/bin/sh

MAX_USER_WATCHES=100000
MAX_USER_WATCHES_PATH=/proc/sys/fs/inotify/max_user_watches
#export DIXIM_CDSRDB_SQLITE_ENABLE_SYNCHRONOUS=1

#DB_TYPE=1  # CDSRDB v1 - Limited DB
#DB_TYPE=2  # CDSRDB v1 - Standard DB
#DB_TYPE=3  # CDSRDB v2 (Enabled by default)
#export DIXIM_DMS_DB_TYPE=${DB_TYPE}

if [ -f $MAX_USER_WATCHES_PATH -a -w $MAX_USER_WATCHES_PATH ]; then
    echo $MAX_USER_WATCHES > $MAX_USER_WATCHES_PATH
else
    echo "W: Failed to modify max_user_watches. This program must be executed by root user."
fi

echo I: maximum number of watches is `cat $MAX_USER_WATCHES_PATH` \(expected value is $MAX_USER_WATCHES\).

./dms_sync ./conf
